## Motivation and Context
<!--- Why is this change required? What problem does it solve? -->
<!--- If it fixes an open issue, please link to the issue here using **Related Issue(s)**: #issue_num(s). -->

**Related Issue(s)**: <!-- insert the related issue here, or none if not appliable -->

### :white_check_mark: Checklist for the LIGO Language Server

- [ ] I checked whether I need to update the `README.md` file for the [plugin](/tools/vscode/README.md) and did so if necessary
- [ ] I checked that my changes work in Emacs, Vim, and Visual Studio Code
- [ ] (Before merging) The commit history is squashed and prettified, and follows the [Serokell commit policy](https://www.notion.so/serokell/Commit-and-PR-policy-4cf98e1a910a415d86b5f2491d9af1af), or the MR is set to squash the commits

## Description

<!--- Describe your changes in detail -->

## Component

* [X] compiler
* [ ] website
* [ ] webide
* [ ] vscode-plugin
* [ ] debugger

## Types of changes

* [ ] Bug fix (non-breaking change which fixes an issue)
* [ ] New feature (non-breaking change which adds functionality)
* [ ] Breaking change (fix or feature that would cause existing functionality to not work as expected)
* [ ] Performance improvement (non-breaking change that improves performance)
* [ ] None (change with no changelog)

## Changelog
<!--- Section under ## Changelog will be added to your changelog description. -->

## Checklist:

* [ ] Changes follow the existing coding style (use `dune @fmt` to check).
* [ ] Tests for the changes have been added (for bug fixes / feature).
* [ ] Documentation has been updated.
* [ ] Changelog description has been added (if appropriate).
* [ ] Start titles under `## Changelog` section with #### (if appropriate).
* [ ] There is no image or uploaded file in changelog
* [ ] Examples in changed behaviour have been added to the changelog (for breaking change / feature).
